Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QWindowsXPStyle Class Reference

The QWindowsXPStyle class provides a Microsoft WindowsXP-like look and feel. More...

    #include <QWindowsXPStyle>

Inherits QWindowsStyle.

- List of all members, including inherited members

### Writable Properties

- 1 writable property inherited from QObject

### Public Functions

- QWindowsXPStyle ()
- ~QWindowsXPStyle ()
- void drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * w, const QRect & r, const QPalette & pal, SFlags flags = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- void drawControlMask ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r ) const
- void drawPrimitive ( PrimitiveElement op, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const
- QRect querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl sc ) const
- QSize sizeFromContents ( ContentsType contents, const QWidget * widget, const QSize & contentsSize ) const
- int styleHint ( StyleHint stylehint, const QWidget * widget = 0 )

- 9 public functions inherited from QCommonStyle
- 23 public functions inherited from QStyle
- 24 public functions inherited from QObject

### Public Slots

- 1 public slot inherited from QObject

### Signals

- 1 signal inherited from QObject

### Static Public Members

- 6 static public members inherited from QStyle
- 4 static public members inherited from QObject

### Protected Functions

- 9 protected functions inherited from QObject

### Protected Slots

- void activeTabChanged ()

## Detailed Description

The QWindowsXPStyle class provides a Microsoft WindowsXP-like look and feel.

Warning: This style is only available on the Windows XP platform because it makes use of Windows XP's style engine.

Most of the functions are documented in the base classes QWindowsStyle, QCommonStyle, and QStyle, but the QWindowsXPStyle overloads of drawComplexControl(), drawControl(), drawControlMask(), drawPrimitive(), querySubControlMetrics(), and sizeFromContents(), are documented here.

## Member Function Documentation

### QWindowsXPStyle::QWindowsXPStyle ()

Constructs a QWindowsStyle

### QWindowsXPStyle::~QWindowsXPStyle ()

Destroys the style.

### void QWindowsXPStyle::activeTabChanged () `[protected slot]`

### void QWindowsXPStyle::drawComplexControl ( ComplexControl control, QPainter * p, const QWidget * w, const QRect & r, const QPalette & pal, SFlags flags = Style_Default, SCFlags sub = SC_All, SCFlags subActive = SC_None /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QWindowsXPStyle::drawControl ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r, const QPalette & pal, SFlags how = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### void QWindowsXPStyle::drawControlMask ( ControlElement element, QPainter * p, const QWidget * widget, const QRect & r ) const

### void QWindowsXPStyle::drawPrimitive ( PrimitiveElement op, QPainter * p, const QRect & r, const QPalette & pal, SFlags flags = Style_Default /*const Q3StyleOption& = Q3StyleOption::Default*/ ) const

### QRect QWindowsXPStyle::querySubControlMetrics ( ComplexControl control, const QWidget * widget, SubControl sc ) const

### QSize QWindowsXPStyle::sizeFromContents ( ContentsType contents, const QWidget * widget, const QSize & contentsSize ) const

### int QWindowsXPStyle::styleHint ( StyleHint stylehint, const QWidget * widget = 0 )